Invar::Invariant Class Reference

`#include <Invariant.h>`

Inheritance diagram for Invar::Invariant:

## Public Member Functions

| Invariant (const char *prefix, const char *mess, const char *expr, const char *const file, int line)
| Invariant (const char *prefix, const std::string &mess, const char *expr, const char *const file, int line)
| ~Invariant () throw ()
std::string | getMessage () const
const char * | getFile () const
std::string | getExpression () const
int | getLine () const
std::string | toString () const
std::string | toUserString () const

## Detailed Description

Definition at line 46 of file Invariant.h.

## Constructor & Destructor Documentation

## Invariant() [1/2]

Invar::Invariant::Invariant | ( | const char * | prefix,
|  | const char * | mess,
|  | const char * | expr,
|  | const char *const | file,
|  | int | line
| ) |  |

inline

Definition at line 48 of file Invariant.h.

## Invariant() [2/2]

Invar::Invariant::Invariant | ( | const char * | prefix,
|  | const std::string & | mess,
|  | const char * | expr,
|  | const char *const | file,
|  | int | line
| ) |  |

inline

Definition at line 56 of file Invariant.h.

## ~Invariant()

Invar::Invariant::~Invariant | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 64 of file Invariant.h.

## Member Function Documentation

## getExpression()

std::string Invar::Invariant::getExpression | ( |  | ) | const

inline

Definition at line 70 of file Invariant.h.

## getFile()

const char* Invar::Invariant::getFile | ( |  | ) | const

inline

Definition at line 68 of file Invariant.h.

## getLine()

int Invar::Invariant::getLine | ( |  | ) | const

inline

Definition at line 72 of file Invariant.h.

References Invar::operator<<(), toString(), and toUserString().

## getMessage()

std::string Invar::Invariant::getMessage | ( |  | ) | const

inline

Definition at line 66 of file Invariant.h.

## toString()

std::string Invar::Invariant::toString | ( |  | ) | const

Referenced by getLine().

## toUserString()

std::string Invar::Invariant::toUserString | ( |  | ) | const

Referenced by getLine().

The documentation for this class was generated from the following file:

- Invariant.h